HTMLLinkElement (XML Standard API)
Date: 2012-11-18

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.w3c.dom.html
Interface HTMLLinkElement

All Superinterfaces:
  Element, HTMLElement, Node

    public interface HTMLLinkElement

extends HTMLElement

The `LINK` element specifies a link to an externalresource, and defines this document's relationship to that resource(or vice versa). See the LINK element definition in HTML 4.0.

Field Summary

Fields inherited from interface org.w3c.dom.Node
`ATTRIBUTE_NODE, CDATA_SECTION_NODE, COMMENT_NODE, DOCUMENT_FRAGMENT_NODE, DOCUMENT_NODE, DOCUMENT_POSITION_CONTAINED_BY, DOCUMENT_POSITION_CONTAINS, DOCUMENT_POSITION_DISCONNECTED, DOCUMENT_POSITION_FOLLOWING, DOCUMENT_POSITION_IMPLEMENTATION_SPECIFIC, DOCUMENT_POSITION_PRECEDING, DOCUMENT_TYPE_NODE, ELEMENT_NODE, ENTITY_NODE, ENTITY_REFERENCE_NODE, NOTATION_NODE, PROCESSING_INSTRUCTION_NODE, TEXT_NODE`

Method Summary
`java.lang.String` | `getCharset()` The character encoding of the resource being linked to.
`boolean` | `getDisabled()` Enables/disables the link.
`java.lang.String` | `getHref()` The URI of the linked resource.
`java.lang.String` | `getHreflang()` Language code of the linked resource.
`java.lang.String` | `getMedia()` Designed for use with one or more target media.
`java.lang.String` | `getRel()` Forward link type.
`java.lang.String` | `getRev()` Reverse link type.
`java.lang.String` | `getTarget()` Frame to render the resource in.
`java.lang.String` | `getType()` Advisory content type.
`void` | `setCharset(java.lang.String charset)`
`void` | `setDisabled(boolean disabled)`
`void` | `setHref(java.lang.String href)`
`void` | `setHreflang(java.lang.String hreflang)`
`void` | `setMedia(java.lang.String media)`
`void` | `setRel(java.lang.String rel)`
`void` | `setRev(java.lang.String rev)`
`void` | `setTarget(java.lang.String target)`
`void` | `setType(java.lang.String type)`

Methods inherited from interface org.w3c.dom.html.HTMLElement
`getClassName, getDir, getId, getLang, getTitle, setClassName, setDir, setId, setLang, setTitle`

Methods inherited from interface org.w3c.dom.Element
`getAttribute, getAttributeNode, getAttributeNodeNS, getAttributeNS, getElementsByTagName, getElementsByTagNameNS, getSchemaTypeInfo, getTagName, hasAttribute, hasAttributeNS, removeAttribute, removeAttributeNode, removeAttributeNS, setAttribute, setAttributeNode, setAttributeNodeNS, setAttributeNS, setIdAttribute, setIdAttributeNode, setIdAttributeNS`

Methods inherited from interface org.w3c.dom.Node
`appendChild, cloneNode, compareDocumentPosition, getAttributes, getBaseURI, getChildNodes, getFeature, getFirstChild, getLastChild, getLocalName, getNamespaceURI, getNextSibling, getNodeName, getNodeType, getNodeValue, getOwnerDocument, getParentNode, getPrefix, getPreviousSibling, getTextContent, getUserData, hasAttributes, hasChildNodes, insertBefore, isDefaultNamespace, isEqualNode, isSameNode, isSupported, lookupNamespaceURI, lookupPrefix, normalize, removeChild, replaceChild, setNodeValue, setPrefix, setTextContent, setUserData`

Method Detail

### getDisabled

    boolean getDisabled()

  Enables/disables the link. This is currently only used for style sheet links, and may be used to activate or deactivate style sheets.

### setDisabled

    void setDisabled(boolean disabled)

### getCharset

    java.lang.String getCharset()

  The character encoding of the resource being linked to. See the charset attribute definition in HTML 4.0.

### setCharset

    void setCharset(java.lang.String charset)

### getHref

    java.lang.String getHref()

  The URI of the linked resource. See the href attribute definition in HTML 4.0.

### setHref

    void setHref(java.lang.String href)

### getHreflang

    java.lang.String getHreflang()

  Language code of the linked resource. See the hreflang attribute definition in HTML 4.0.

### setHreflang

    void setHreflang(java.lang.String hreflang)

### getMedia

    java.lang.String getMedia()

  Designed for use with one or more target media. See the media attribute definition in HTML 4.0.

### setMedia

    void setMedia(java.lang.String media)

### getRel

    java.lang.String getRel()

  Forward link type. See the rel attribute definition in HTML 4.0.

### setRel

    void setRel(java.lang.String rel)

### getRev

    java.lang.String getRev()

  Reverse link type. See the rev attribute definition in HTML 4.0.

### setRev

    void setRev(java.lang.String rev)

### getTarget

    java.lang.String getTarget()

  Frame to render the resource in. See the target attribute definition in HTML 4.0.

### setTarget

    void setTarget(java.lang.String target)

### getType

    java.lang.String getType()

  Advisory content type. See the type attribute definition in HTML 4.0.

### setType

    void setType(java.lang.String type)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1999-2010 The Apache Software Foundation. All Rights Reserved.